#! /bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
cd "$SCRIPT_DIR"

if [ -z "$1" ] || [ $# -eq 0 ]
  then
		../vendor/premake5/premake5 --config=Debug ecc
  else 
		../vendor/premake5/premake5 --config=$1 ecc
fi


mv compile_commands.json ../compile_commands.json